package cn.freemud.manager;

import cn.freemud.entities.db.PartnerWxapp;
import cn.freemud.manager.dao.PartnerWxappDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 商户小程序manager
 *
 * @author liming.guo
 * @date 2018/05/10
 */
@Component
public class PartnerWxappManager {

    @Autowired
    private PartnerWxappDao partnerWxappDao;

    public PartnerWxapp getPartnerWxappByPartnerIdAndAppid(String partnerId, String appid) {
        return partnerWxappDao.selectByPartnerIdAndAppid(partnerId, appid);
    }

    public PartnerWxapp getPartnerWxappByPartnerIdAndWxAppid(String partnerId, String wxAppId) {
        return partnerWxappDao.selectByPartnerIdAndWxAppid(partnerId, wxAppId);
    }
}
